#ifndef __CONSOLE_OUTPUT_H__
#define __CONSOLE_OUTPUT_H__

#include <iostream>
#include "output.h"

class console_output final : public output {
private:
        std::ostream &out;
        std::string get_code(const int attrs);
public:
        console_output(std::ostream &cout);

        void render() override;
        void print_char(const position &pos,
                        const char ch, const int attrs) override;
        void print_str(const position &pos,
                       const std::string &str, const int attrs) override;
};

#endif
